ACN::DMP::range Struct Reference

5.1.5 The range struct More...

`#include <dmp.h>`

Inheritance diagram for ACN::DMP::range:
[legend]

## Public Member Functions

| range (const data_type t, const address_length l)
| range More...
size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| range::iStream More...
void | oStream (PDU::Stream) const override
| range::oStream More...

## Public Attributes

uint32_t | address = 0
| start address
uint32_t | incriment = 0
| property size (number of octets)
uint32_t | count = 0
| number of properties

## Detailed Description

5.1.5 The range struct

TODO: maybe template this struct based on address_length

## Constructor & Destructor Documentation

## range()

ACN::DMP::range::range | ( | const data_type | t,
|  | const address_length | l
| ) |  |

inline

range

Parameters

  t |
  l |

## Member Function Documentation

## iStream()

void ACN::DMP::range::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

range::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

## oStream()

void ACN::DMP::range::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

range::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::DMP::range::streamSize | ( |  | ) | const

overridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/dmp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/dmp.cpp